resources:
  - ../../../../base/staging

components:
  - ../../../../components/staging/backend

commonAnnotations:
  app: product

namespace: staging-product

namePrefix: staging-product-

patches:
  - patch: |-
      - op: replace
        path: /metadata/name
        value: staging-product
    target:
      kind: Namespace
      name: base

  - patch: |-
      - op: replace
        path: /metadata/name
        value: svc-be
      - op: replace
        path: /metadata/namespace
        value: staging-product
      - op: replace
        path: /spec/selector/matchLabels/app
        value: product
      - op: replace
        path: /spec/template/metadata/labels/app
        value: product
      - op: replace
        path: /spec/template/spec/containers/0/name
        value: product
      - op: replace
        path: /spec/template/spec/containers/0/image
        value: registry.gitlab.com/annasik-apps/annasik-backend/annasik-product-be/staging:wqeqeq12
      - op: replace
        path: /spec/template/spec/containers/0/ports/0/containerPort
        value: 3000
      - op: replace
        path: /spec/template/spec/containers/0/ports/0/name
        value: product-svc
      - op: replace
        path: /spec/template/spec/containers/0/envFrom/0/configMapRef/name
        value: staging-product-config-map
      - op: replace
        path: /spec/template/spec/containers/0/envFrom/1/secretRef/name
        value: staging-product-secret
    target:
      kind: Deployment
      name: base
      namespace: base

  - patch: |-
      - op: replace
        path: /metadata/name
        value: svc-be
      - op: replace
        path: /metadata/namespace
        value: staging-product
      - op: replace
        path: /spec/ports/0/port
        value: 3000
      - op: replace
        path: /spec/ports/0/targetPort
        value: 3000
      - op: replace
        path: /spec/selector/app
        value: product
    target:
      kind: Service
      name: base
      namespace: base

  - patch: |-
      - op: replace
        path: /metadata/name
        value: product-ingress
      - op: replace
        path: /metadata/namespace
        value: staging-product
      - op: replace
        path: /spec/rules/0/host
        value: staging-api.annasik.my.id
      - op: replace
        path: /spec/tls/0/hosts/0
        value: staging-api.annasik.my.id
      - op: replace
        path: /spec/tls/0/secretName
        value: tls-secret
      - op: replace
        path: /spec/rules/0/http/paths/0/backend/service/port/number
        value: 3000
      - op: replace
        path: /spec/rules/0/http/paths/0/backend/service/name
        value: svc-be
      - op: replace
        path: /spec/rules/0/http/paths/0/path
        value: /v1/product
    target:
      kind: Ingress
      name: base
      namespace: base
